/**
 * This class represents a simple picture. You can draw the picture using
 * the draw method. But wait, there's more: being an electronic picture, it
 * can be changed. You can set it to black-and-white display and back to
 * colors (only after it's been drawn, of course).
 *
 * This class was written as an early example for teaching Java with BlueJ.
 * 
 * @author  Michael Kolling and David J. Barnes
 * @version 2006.03.30
 */
public class Picture
{
    private Rect wall;
    private Rect window;
    private Triangle roof;
    private Circle sun;
    private Circle moon;

    /**
     * Constructor for objects of class Picture
     */
    public Picture()
    {
        //draw();
        // nothing to do... instance variables are automatically set to null
    }

    /**
     * Draw this picture.
     */
    public void draw()
    {
        wall = new Rect();
        wall.moveVertical(80);
        wall.changeHeight(100);
        wall.changeWidth(120);
        wall.changeColor("violet");
        wall.makeVisible();
        
        window = new Rect();
        window.changeColor("gray");
        window.moveHorizontal(20);
        window.moveVertical(100);
        window.changeHeight(30);
        window.changeWidth(30);
        window.makeVisible();

        roof = new Triangle();  
        roof.changeSize(50, 160);
        roof.moveHorizontal(70);
        roof.moveVertical(70);
        roof.changeColor("brown");
        roof.makeVisible();

        sun = new Circle();
        sun.changeColor("yellow");
        sun.moveHorizontal(180);
        sun.moveVertical(-10);
        sun.changeSize(60);
        sun.makeVisible();

        // Actually, you can't have a full moon in the sky with the sun
        moon = new Circle();
        moon.changeColor("magenta");
        moon.moveHorizontal(0);
        moon.moveVertical(-40);
        moon.changeSize(50);
        moon.makeVisible();
    
    }

    /**
     * Change this picture to black/white display
     */
    public void setBlackAndWhite()
    {
//        if(wall != null)   // only if it's painted already...
        {
            wall.changeColor("black");
            window.changeColor("white");
            roof.changeColor("black");
            sun.changeColor("black");
            moon.changeColor("black");
        }
    }

    /**
     * Change this picture to use color display
     */
    public void setColor()
    {
        if(wall != null)   // only if it's painted already...
        {
            wall.changeColor("red");
            window.changeColor("black");
            roof.changeColor("green");
            sun.changeColor("yellow");
            moon.changeColor("magenta");
        }
    }
}
